using System;

namespace ConsoleApp22
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int N = int.Parse(s[0]);
            int K = int.Parse(s[1]);
            string[] s1= Console.ReadLine().Split();
            int[] a = new int[N];
            for (int i = 0; i < N; i++)
            {
                a[i] = int.Parse(s1[i]);
            }
            for (int i = 0; i < N; i++)
            {
                if (i==N-1)
                {
                    Console.WriteLine(a[0]);
                }
                else
                {
                    if (a[i]==K)
                    {
                        Console.WriteLine(a[i+1]);
                        break;
                    }
                }
            }
        }
    }
}